/**
    Class to represent an Administrative transaction.

        @author Bert G. Wachsmuth
        @version Feb. 2002
*/
public class Administrative extends Transaction
{
    /**
        This constructor constructs a new Administrative transaction and increments 
        the static variable <tt>numAdmins</tt>.
    */
    public Administrative(String name, double amount, String date)
    {
        super(name, amount, date, "Admin");
        numAdmins++;
    }

    /**
        Destructor is called when an object is recycled by Java's automatic
        garbage collection process.
    */
    public void finalize()
    {
        numAdmins--;
    }
}
